## java-gnome 4.1.1

=== debian/changelog ===
java-gnome (4.1.1-4) unstable; urgency=low

  * Team upload.
  * Pull Java7 compatability patch from Fedora.

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 22:41:02 +0200

java-gnome (4.1.1-3) unstable; urgency=low

  * Team upload.
  * Add python to build-dep to address FTBFS. (Closes: #676073)
  * Bump Standards-Version to 3.9.3 (no changes).

 -- tony mancill <tmancill@debian.org>  Mon, 04 Jun 2012 21:14:40 -0700

java-gnome (4.1.1-2) unstable; urgency=low

  * Team upload
  * Upload in unstable to fix the transition to libnotify (Closes: #630285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 16:38:43 +0200

java-gnome (4.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_javadoc_workaround.patch
    - Remove useless patch (fixed upstream)
  * debian/patches/03_libnotify_0_7.patch
    - Remove useless patch (fixed upstream)
  * debian/control:
    - Update dependencies list according to the upstream configure file.
    - Fix description-synopsis-starts-with-article
    - Fix needless-dependency-on-jre
    - Bump Standards-Version to 3.9.2

 -- Guillaume Mazoyer <respawneral@gmail.com>  Thu, 28 Jul 2011 21:07:13 +0200

java-gnome (4.0.19-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_javadoc_workaround.patch
    - Fix javadoc generation.
  * debian/patches/03_libnotify_0_7.patch
    - Fix binding compilation with libnotify 0.7.
  * debian/control:
    - Update dependencies list according to the upstream configure file.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Wed, 23 Feb 2011 17:29:16 +0100

java-gnome (4.0.18-1) experimental; urgency=low

  * New upstream release (Closes: #588943).
  * Update copyright.
  * debian/patches/01_take_screenshots.diff
    - Use dbus-launch to start metacity.
  * debian/control
    - Add libglib2.0-dev (>= 2.22) dependency.
    - Add libcairo2-dev (>= 1.10) dependency.
    - Add librsvg2-dev dependency.
    - Add libatk1.0-dev dependency.
    - Bump GTK+ build dependency version as per upstream.
    - Make sure the installed JNI package is always compatible with the package
      which provides the JAR.
    - libjava-gnome-java does not need to depends on a JRE.
    - Bumped Standards-Version to 3.9.1.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Jan 2011 09:44:09 +0100

=== debian/control ===
Source: java-gnome
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Manu Mahajan <manu@codepencil.com>,
           Onkar Shinde <onkarshinde@ubuntu.com>,
           Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends: cdbs,
               debhelper (>= 5),
               default-jdk,
               hicolor-icon-theme,
               junit,
               libatk1.0-dev,
               libcairo2-dev (>= 1.10),
               libenchant-dev,
               libglib2.0-dev (>= 2.28),
               libgtk-3-dev (>= 3.0),
               libgtksourceview-3.0-dev (>= 3.0),
               libnotify-dev (>= 0.7),
               libpango1.0-dev (>= 1.28),
               librsvg2-dev (>= 2.32),
               libunique-3.0-dev (>= 3.0),
               metacity,
               quilt,
               xfonts-base,
               xvfb,
               python
Standards-Version: 3.9.3
Section: java
Homepage: http://java-gnome.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-gnome
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-gnome
DM-Upload-Allowed: yes

Package: libjava-gnome-java
Architecture: all
Depends: libjava-gnome-jni (>= ${source:Version}),
         ${misc:Depends}
Description: Java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.

Package: libjava-gnome-jni
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: Java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.

Package: libjava-gnome-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjava-gnome-java
Description: Java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the API documentation.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/java-gnome/([\d\.]+)/java-gnome-([\d\.]+)\.tar\.bz2 debian

## java-gnome 4.1.2

=== Makefile ===
#
# java-gnome, a UI library for writing GTK and GNOME programs from Java!
#
# Copyright © 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others 
# 
# The code in this file, and the program it is a part of, is made available
# to you by its authors as open source software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License version
# 2 ("GPL") as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
#
# You should have received a copy of the GPL along with this program. If not,
# see http://www.gnu.org/licenses/. The authors of this program may be
# contacted through http://java-gnome.sourceforge.net/.
#

ifdef V
else
MAKEFLAGS=-s
REDIRECT=>/dev/null
endif

-include .config

all: build-java

.PHONY: test demo doc clean distclean install

# --------------------------------------------------------------------
# Source compilation
# --------------------------------------------------------------------

build-java:
	build/faster

# --------------------------------------------------------------------
# Install (run as root, or specify DESTDIR on Make command line)
# --------------------------------------------------------------------

install: build-java install-dirs install-java
	rm $(DESTDIR)$(PREFIX)/.java-gnome-install-dirs

install-dirs: $(DESTDIR)$(PREFIX)/.java-gnome-install-dirs
$(DESTDIR)$(PREFIX)/.java-gnome-install-dirs:
	@test -d $(DESTDIR)$(JARDIR) || /bin/echo -e "MKDIR\tinstallation directories"
	-mkdir -p $(DESTDIR)$(PREFIX)
	-touch $@ 2>/dev/null
	test -w $@ || ( /bin/echo -e "\nYou don't seem to have write permissions to $(DESTDIR)$(PREFIX)\nPerhaps you need to be root?\n" && exit 7 )
	mkdir -p $(DESTDIR)$(JARDIR)
	mkdir -p $(DESTDIR)$(LIBDIR)

install-java: build-java \
	$(DESTDIR)$(JARDIR)/gtk-$(APIVERSION).jar \
	$(DESTDIR)$(LIBDIR)/libgtkjni-$(VERSION).so

$(DESTDIR)$(JARDIR)/gtk-$(APIVERSION).jar: tmp/gtk-$(APIVERSION).jar
	@/bin/echo -e "INSTALL\t$@"
	cp -f $< $@
	@/bin/echo -e "JAR\t$@"
	jar uf $@ .libdir
	@/bin/echo -e "SYMLINK\t$(@D)/gtk.jar -> gtk-$(APIVERSION).jar"
	cd $(@D) && rm -f gtk.jar && ln -s gtk-$(APIVERSION).jar gtk.jar
	
$(DESTDIR)$(LIBDIR)/libgtkjni-$(VERSION).so: tmp/libgtkjni-$(VERSION).so
	@/bin/echo -e "INSTALL\t$@"
	cp -f $< $@


# --------------------------------------------------------------------
# Tests
# --------------------------------------------------------------------

test:
	build/faster test

demo:
	build/faster demo

# --------------------------------------------------------------------
# Documentation generation
# --------------------------------------------------------------------

doc:
	build/faster doc


#
# Remember that if you bump the version number you need to commit the change
# and re-./configure before being able to run this! On the other hand, we
# don't have to distclean before calling this.
#
dist: all
	@/bin/echo -e "CHECK\tfully committed state"
	bzr diff > /dev/null || ( /bin/echo -e "\nYou need to commit all changes before running make dist\n" ; exit 4 )
	@/bin/echo -e "EXPORT\ttmp/java-gnome-$(VERSION)"
	-rm -rf tmp/java-gnome-$(VERSION)
	bzr export --format=dir tmp/java-gnome-$(VERSION)
	@/bin/echo -e "RM\tnon essential files"
	rm -r tmp/java-gnome-$(VERSION)/lib
	rm -r tmp/java-gnome-$(VERSION)/web
	rm    tmp/java-gnome-$(VERSION)/.aspell.en.pws
	@/bin/echo -e "TAR\tjava-gnome-$(VERSION).tar.bz2"
	tar cjf java-gnome-$(VERSION).tar.bz2 -C tmp java-gnome-$(VERSION)
	rm -r tmp/java-gnome-$(VERSION)

clean:
	@/bin/echo -e "RM\tgenerated code"
	rm -rf generated/bindings/*
	@/bin/echo -e "RM\tcompiled output"
	rm -rf tmp/generator/ tmp/bindings/ tmp/tests/
	rm -rf tmp/include/ tmp/objects/
	rm -rf tmp/i18n/ tmp/locale/
	@/bin/echo -e "RM\ttemporary files"
	rm -rf tmp/stamp/
	rm -f hs_err_*
	@/bin/echo -e "RM\tbuilt .jar and .so"
	rm -f tmp/gtk-*.jar \
		tmp/libgtkjni-*.so

distclean: clean
	@/bin/echo -e "RM\tbuild configuration information"
	-rm -f .config .config.tmp .libdir
	@/bin/echo -e "RM\tgenerated documentation"
	-rm -rf doc/api/*
	-rm -f java-gnome-*.tar.bz2
	@/bin/echo -e "RM\ttemporary directories"
	-rm -rf tmp generated
	@/bin/echo -e "RM\tglade cruft"
	find . -name '*.glade.bak' -o -name '*.gladep*' -type f | xargs rm -f

#
# A convenience target to run the code formatter built into Eclipse. This is
# for people who don't use the Eclipse Java IDE as their editor so they
# can normalize their code and ensure clean patches are submitted.
#

ifdef ECLIPSE
else
ECLIPSE=/usr/bin/eclipse
endif

ifdef V
ECLIPSE:=$(ECLIPSE) -verbose
else
endif

format: all
	@/bin/echo -e "FORMAT\tsrc/ tests/ doc/examples/"
	touch -r src/bindings/org/freedesktop/bindings/Version.java tmp/stamp/version
	$(ECLIPSE) -nosplash \
		-application org.eclipse.jdt.core.JavaCodeFormatter \
		-config .settings/org.eclipse.jdt.core.prefs \
		src/ tests/ doc/examples/ \
		$(REDIRECT)
	touch -r tmp/stamp/version src/bindings/org/freedesktop/bindings/Version.java
	

# vim: set filetype=make textwidth=78 nowrap:

=== debian/changelog ===
java-gnome (4.1.2-1build1) saucy; urgency=low

  * No-change rebuild for gtksourceview3 transition

 -- Iain Lane <iain.lane@canonical.com>  Fri, 24 May 2013 15:49:22 +0100

java-gnome (4.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump GTK required version to 3.4.
    - Remove useless quilt dependency.
    - Update descriptions to fix lintian warnings.
  * debian/patches/02_java7_compat.diff
    - Remove no longer needed patch (fixed upstream).
  * debian/patches/02_unique_dependency.diff
    - Add patch to fix the libunique dependency.
  * debian/watch
    - Upstream provides only .xz tarballs.
  * debian/copyright
    - Use new format.
    - Update file copyright.


 -- Guillaume Mazoyer <respawneral@gmail.com>  Thu, 30 Aug 2012 15:51:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,13 @@
                libcairo2-dev (>= 1.10),
                libenchant-dev,
                libglib2.0-dev (>= 2.28),
-               libgtk-3-dev (>= 3.0),
+               libgtk-3-dev (>= 3.4),
                libgtksourceview-3.0-dev (>= 3.0),
                libnotify-dev (>= 0.7),
                libpango1.0-dev (>= 1.28),
                librsvg2-dev (>= 2.32),
                libunique-3.0-dev (>= 3.0),
                metacity,
-               quilt,
                xfonts-base,
                xvfb,
                python
@@ -45,13 +44,15 @@
  Linux applications so that they richly integrate with the GNOME Desktop
  while leveraging the power of the Java language and your expertise with
  it.
+ .
+ This package contains the necessary JAR file.
 
 Package: libjava-gnome-jni
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libjava-gnome-java (<< 4.0.11)
-Description: Java-gnome language bindings project
+Description: Java-gnome language bindings project JNI layer
  These are the Java bindings for GTK+ and GNOME! Featuring a robust
  engineering design, completely generated internals, a lovingly crafted
  layer presenting the public API, and steadily increasing coverage of
@@ -61,13 +62,15 @@
  Linux applications so that they richly integrate with the GNOME Desktop
  while leveraging the power of the Java language and your expertise with
  it.
+ .
+ This package contains the ncessary JNI layer.
 
 Package: libjava-gnome-java-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libjava-gnome-java
-Description: Java-gnome language bindings project
+Description: Java-gnome language bindings project documentation
  These are the Java bindings for GTK+ and GNOME! Featuring a robust
  engineering design, completely generated internals, a lovingly crafted
  layer presenting the public API, and steadily increasing coverage of

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=/usr/lib/jni jdk=/usr/lib/jvm/default-java

ifneq (,$(filter $(DEB_HOST_ARCH), i386 amd64 powerpc))
DEB_MAKE_ENVVARS += DISPLAY=":99"
DEB_MAKE_BUILD_TARGET += doc
endif
ifneq (,$(filter $(DEB_HOST_ARCH), hppa))
DEB_MAKE_ENVVARS += V=1
CFLAGS += -ffunction-sections
endif

get-orig-source:
	uscan --force-download --rename

## java-gnome 4.1.3

=== Makefile ===
--- 
+++ 
@@ -94,17 +94,9 @@
 #
 dist: all
 	@/bin/echo -e "CHECK\tfully committed state"
-	bzr diff > /dev/null || ( /bin/echo -e "\nYou need to commit all changes before running make dist\n" ; exit 4 )
-	@/bin/echo -e "EXPORT\ttmp/java-gnome-$(VERSION)"
-	-rm -rf tmp/java-gnome-$(VERSION)
-	bzr export --format=dir tmp/java-gnome-$(VERSION)
-	@/bin/echo -e "RM\tnon essential files"
-	rm -r tmp/java-gnome-$(VERSION)/lib
-	rm -r tmp/java-gnome-$(VERSION)/web
-	rm    tmp/java-gnome-$(VERSION)/.aspell.en.pws
-	@/bin/echo -e "TAR\tjava-gnome-$(VERSION).tar.bz2"
-	tar cjf java-gnome-$(VERSION).tar.bz2 -C tmp java-gnome-$(VERSION)
-	rm -r tmp/java-gnome-$(VERSION)
+	[ -z "`git status --short`" ] || ( /bin/echo -e "\nYou need to commit all changes before running make dist\n" ; exit 4 )
+	@/bin/echo -e "EXPORT\tjava-gnome-$(VERSION).tar.xz"
+	git archive --format tar master --prefix java-gnome-$(VERSION)/ | xz -z - > java-gnome-$(VERSION).tar.xz
 
 clean:
 	@/bin/echo -e "RM\tgenerated code"

=== src/util/demux/Makefile ===
PYGTK=~/vcs/gnome2/pygtk
MISSING=missing.txt
DEFSDIR=../../defs

all: demux blacklist install

demux:
	rm -f *.defs
	rm -f $(MISSING)

	./demux.py java-gnome.fixes >> $(MISSING)

	./demux.py $(PYGTK)/gtk/gdk-base.defs >> $(MISSING)
	./demux.py $(PYGTK)/gtk/gdk-2.10.defs >> $(MISSING)

	./demux.py $(PYGTK)/gtk/gtk-base.defs >> $(MISSING)
	./demux.py $(PYGTK)/gtk/gtk-2.10.defs >> $(MISSING)

	./demux.py $(PYGTK)/gtk/libglade.defs >> $(MISSING)
	./demux.py $(PYGTK)/gtk/gtkunixprint.defs >> $(MISSING)
	./demux.py $(PYGTK)/pango.defs >> $(MISSING)
	./demux.py $(PYGTK)/atk.defs >> $(MISSING)

blacklist:
	rm -f PyGtkGenericCellRenderer.defs
	rm -f PyGtkGenericTreeModel.defs
	rm -f GtkProgress.defs
	rm -f GtkList.defs
	rm -f GtkCTree.defs
	rm -f GtkCTreeExpanderStyle.defs
	rm -f GtkCTreeExpansionType.defs
	rm -f GtkCTreeLineStyle.defs
	rm -f GtkCTreePos.defs
	rm -f GtkType.defs
	rm -f GtkText.defs
	rm -f GtkCombo.defs
	rm -f GtkOldEditable.defs
	rm -f GtkArgs.defs
	rm -f GtkPixmap.defs

install:
	mv *.defs $(DEFSDIR)
	mv $(MISSING) ../missing.defs

=== debian/changelog ===
java-gnome (4.1.3-8ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 15:05:10 +0200

java-gnome (4.1.3-8) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898221)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs
  * Removed the duplicate Section field in debian/control

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 16:02:36 +0200

java-gnome (4.1.3-7) unstable; urgency=medium

  * Team upload.
  * No longer generate the -java-doc package (Closes: #875576)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Mar 2018 22:57:42 +0100

java-gnome (4.1.3-6) unstable; urgency=medium

  * Team upload.
  * Skip the verification of the Java runtime (Closes: #851839)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jan 2017 10:14:14 +0100

java-gnome (4.1.3-5) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS (Closes: #849669)
  * Use dbus-run-session instead of dbus-launch to run metacity
    and depend on dbus (>= 1.8) instead of dbus-x11 (Closes: #836100)
  * Disabled parallel building (Closes: #779344)
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Jan 2017 12:05:43 +0100

java-gnome (4.1.3-4) unstable; urgency=medium

  * Team upload.

  [ Guillaume Mazoyer ]
  * debian/rules
    - Set CFLAGS and LDFLAGS variables according to the Debian standards.
    - Add -ffunction-sections to CFLAGS for hppa.
    - Set V=1 to build in verbose mode so the compiler flags are not hidden.
  * Properly use debhelper 9.

  [ tony mancill ]
  * Add patch for configure script on ppc64el.  (Closes: #767322)
    - Note that patch only enables for binary (-B) builds.
  * Disable GLIB deprecation warnings during test phase by setting
    G_ENABLE_DIAGNOSTIC=0.  This was causing build failures.
    (Closes: #789851)
  * Bump Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Sat, 11 Jul 2015 19:09:25 -0700

java-gnome (4.1.3-3) unstable; urgency=medium

  * Team upload.
  * Use DEB_INDEP_PACKAGES so the -doc and -java packages are not built
    on all archs.  (Closes: #760888)
  * Change section from "libs" to "java" for libjava-gnome-jni to resolve
    override disparity.
  * Migrate the packaging repo from svn to git.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Sep 2014 21:29:03 -0700

java-gnome (4.1.3-2) unstable; urgency=medium

  * Team upload.
  * Rename existing Portuguese transation as Brazilian (pt_BR)
    and replace existing Portuguese translation.  (Closes: #759039)
    - Thank you to Américo Monteiro for the translation.
  * Update Vcs URLs.
  * Refresh patches.

 -- tony mancill <tmancill@debian.org>  Tue, 26 Aug 2014 10:10:30 -0700

java-gnome (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Remove libunique dependency.
    - Remove DM-Upload-Allowed field.
    - Add dbus-x11 dependency to take doc screenshots.
    - Update Standards-Version to 3.9.4.
  * debian/README.Maintainer
    - Add instructions for maintainers.
  * debian/libjava-gnome-java.docs
    - Update documentation filenames.
  * debian/libjava-gnome-java-doc.install
    - Fix HACKING file installation.
  * debian/patches/02_unique_dependency.diff
    - Remove no longer needed patch (fixed upstream).
  * debian/patches/02_build_python.diff
    - Add patch to fix build process (python2 env variable not found).
  * debian/patches/03_build_doc_snapshots.diff (Closes: #748565)
    - Add patch to fix build process of the documentation (accessibilty bug).

 -- Guillaume Mazoyer <respawneral@gmail.com>  Mon, 19 May 2014 17:39:50 +0200

=== debian/control ===
Source: java-gnome
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Manu Mahajan <manu@codepencil.com>,
 Onkar Shinde <onkarshinde@ubuntu.com>,
 Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends:
 dbus (>= 1.8),
 debhelper (>= 11),
 default-jdk,
 hicolor-icon-theme,
 junit,
 libatk1.0-dev,
 libcairo2-dev (>= 1.10),
 libenchant-dev,
 libglib2.0-dev (>= 2.28),
 libgtk-3-dev (>= 3.4),
 libgtksourceview-3.0-dev (>= 3.0),
 libnotify-dev (>= 0.7),
 libpango1.0-dev (>= 1.28),
 librsvg2-dev (>= 2.32),
 metacity,
 python2,
 xfonts-base,
 xvfb
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/java-team/java-gnome.git
Vcs-Browser: https://salsa.debian.org/java-team/java-gnome
Homepage: http://java-gnome.sourceforge.net/

Package: libjava-gnome-java
Architecture: all
Depends: libjava-gnome-jni (>= ${source:Version}),
         ${misc:Depends}
Description: Java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the necessary JAR file.

Package: libjava-gnome-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: Java-gnome language bindings project JNI layer
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the necessary JNI layer.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/java-gnome/([\d\.]+)/java-gnome-([\d\.]+)\.tar\.xz debian
